//+------------------------------------------------------------------+
//|                                                 max drawdown.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

   double CurrentFloatingProfit=0.0;
   double LowestFloatingProfit=0.0;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   
   CurrentFloatingProfit = AccountProfit();
   
   if (CurrentFloatingProfit < 0.0 && CurrentFloatingProfit < LowestFloatingProfit) 
      {
      LowestFloatingProfit = CurrentFloatingProfit;
      }
   
   Comment("Max Account Drawdown =  " + LowestFloatingProfit + "\n" + 

"Current Profit/Loss = " + CurrentFloatingProfit);
   
//----
   return(0);
  }
//+------------------------------------------------------------------+